Skip to main content
GET
/
store
/
shipping-carrier
/
{shippingCarrierId}
Get Shipping Carrier
curl --request GET \
  --url https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId} \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "data": {
    "altId": "6578278e879ad2646715ba9c",
    "altType": "location",
    "name": "FedEx",
    "callbackUrl": "https://example.com/get-shipping-rates",
    "_id": "655b33a82209e60b6adb87a5",
    "marketplaceAppId": "655b33a82209e60b6adb87a5",
    "createdAt": "2023-12-12T09:27:42.355Z",
    "updatedAt": "2023-12-12T09:27:42.355Z",
    "services": [
      {
        "name": "Priority Mail Express International",
        "value": "PriorityMailExpressInternational"
      }
    ],
    "allowsMultipleServiceSelection": true
  },
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Path Parameters

shippingCarrierId
string
required

ID of the shipping carrier that needs to be returned

Example:

"6578278e879ad2646715ba9c"

Query Parameters

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location

Response

Successful response

status
boolean
required

Status of api action

Example:

true

data
object
required
message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026